package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Test_a;
import com.realnet.basic1.Services.Test_aService ;




@RequestMapping(value = "/Test_a")
 @CrossOrigin("*") 
@RestController
public class Test_aController {
	@Autowired
	private Test_aService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Test_a")
		  public Test_a Savedata(@RequestBody Test_a data) {
		Test_a save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test_a/{id}")
	public  Test_a update(@RequestBody Test_a data,@PathVariable Integer id ) {
		Test_a update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test_a/getall/page")
	public Page<Test_a> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test_a> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test_a")
	public List<Test_a> getdetails() {
		 List<Test_a> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test_a")
	public List<Test_a> getallwioutsec() {
		 List<Test_a> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test_a/{id}")
	public  Test_a  getdetailsbyId(@PathVariable Integer id ) {
		Test_a  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test_a/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}